List for cgit developers and users
 help / color / mirror / Atom feed
* [PATCH] tests: Make sure that git does not access $HOME
@ 2013-04-08 20:20 Jason
  2013-04-08 20:22 ` Jason
  2013-04-08 20:32 ` john
  0 siblings, 2 replies; 5+ messages in thread
From: Jason @ 2013-04-08 20:20 UTC (permalink / raw)


From: "Jason A. Donenfeld" <Jason at zx2c4.com>

With the latest changes to prevent git from accessing configuration
files that it should not, it's important to be sure that we won't
have further breakage in the future.

Use strace to implement a test to make sure cgit does not access()
anything built from $HOME.

Signed-off-by: Jason A. Donenfeld <Jason at zx2c4.com>
---
 tests/t0109-gitconfig.sh | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
 create mode 100755 tests/t0109-gitconfig.sh

diff --git a/tests/t0109-gitconfig.sh b/tests/t0109-gitconfig.sh
new file mode 100755
index 0000000..b68866f
--- /dev/null
+++ b/tests/t0109-gitconfig.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+test_description='Ensure that git does not access $HOME'
+. ./setup.sh
+
+test -n "$(which strace 2>/dev/null)" || {
+	skip_all='Skipping access validation tests: strace not found'
+	test_done
+	exit
+}
+
+test_expect_success 'no access to $HOME' '
+	non_existant_path="/path/to/some/place/that/does/not/possibly/exist/$(date +%N)"
+	strace -E HOME="$non_existant_path" -E CGIT_CONFIG="$PWD/cgitrc" \
+	-E QUERY_STRING="url=foo/commit" -e access -f cgit 2>&1 >/dev/null | \
+	test_must_fail grep "$non_existant_path"
+'
+
+test_done
-- 
1.8.1.5





^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2013-04-08 20:38 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2013-04-08 20:20 [PATCH] tests: Make sure that git does not access $HOME Jason
2013-04-08 20:22 ` Jason
2013-04-08 20:32 ` john
2013-04-08 20:35   ` Jason
2013-04-08 20:38     ` john

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).